package com.example.audiovisualrecord.ui.main;


import com.example.audiovisualrecord.base.BaseView;
import com.example.audiovisualrecord.utils.api.apidata.searchco.COResponse;

import com.example.audiovisualrecord.utils.api.apidata.searchtype.TYPEResponse;
import com.example.audiovisualrecord.utils.api.searchshift.SHIFTResponse;
import com.example.audiovisualrecord.utils.api.searchpz.PZResponse;
import com.example.audiovisualrecord.utils.api.searchdp.DPResponse;

import java.util.ArrayList;
import java.util.List;

public interface MainContract {
    interface View extends BaseView {
        void setCOData(List<COResponse> adapterData);
        void setPZData(List<PZResponse> adapterData);
        void setDPNMData(List<DPResponse> adapterData);
        void setEQKDData(List<SHIFTResponse> adapterData);
        void setTYPEData(List<TYPEResponse> adapterData);
        void onUploadFile(ArrayList<String> uriList, String type,String sid);
    }

    interface Presenter<V extends MainContract.View> {
        void onGetComData();
        void onGetPZData();
        void onGetDPData(String CO, String PZ);
        void onGetSHIFTData(String CO, String PMFCT);
        void segVideo(String path,String name);
        void onGetTYPEData(String CO,String PMFCT);
        void onGetSid(ArrayList<String> uriList, String type);
        void onLogoutSid(String sid);
        String onJudgmentPath(String pathCompany,String pathFactoryArea,String pathFactoryClass,
                            String pathClass,String pathShootType);
    }
}
